<div fxLayout="column">
  <!-- <button mat-button color="primary" (click)="openCreateDialog()">Nouvelle session</button> -->
  <div class="border" fxLayout="row" fxLayoutGap="5px">
    <mat-accordion>
      <mat-expansion-panel *ngFor="let exercice of shoot_serie.shootexercices">
        <mat-expansion-panel-header>
          <mat-panel-title>
            {{exercice.id}}
          </mat-panel-title>
          <mat-panel-description>
            Type your name and age
          </mat-panel-description>
        </mat-expansion-panel-header>
        Distance: {{exercice.distance}}
        Commentaire: {{exercice.remark}}
      </mat-expansion-panel>
    </mat-accordion>
    <mat-card class="shoot-editor-card">
      <mat-card-title>
      </mat-card-title>
      <mat-card-content>
        <mat-form-field appearance="fill">
          <mat-label>Distance</mat-label>
          <input matInput type="number" placeholder="0" min=0 value=0 [(ngModel)]="new_shoot_exercice.distance">
          <span matSuffix>&nbsp; m</span>
        </mat-form-field>
        <mat-form-field appearance="fill">
          <mat-label>Commentaires</mat-label>
          <textarea matInput></textarea>
        </mat-form-field>
        <app-image-list-add-and-edit [(fileContent)]="newImages">
        </app-image-list-add-and-edit>
      </mat-card-content>
      <mat-card-actions>
        <button mat-button (click)="onAddExerciceClick()">Ajouter</button>
      </mat-card-actions>
    </mat-card>
    <!-- <mat-list>
      <mat-list-item *ngFor="let exercice of shoot_serie.shootexercices">
        <mat-card class="shoot-editor-card">
          <mat-card-title>
            {{exercice.id}}
            <button mat-icon-button class="more-button" [matMenuTriggerFor]="menu" aria-label="Toggle menu">
              <mat-icon>more_vert</mat-icon>
            </button>
            <mat-menu #menu="matMenu" xPosition="before">
              <p>plop</p>
              </mat-menu>
              </mat-card-title>
              <mat-card-content>
                Distance : {{exercice.distance}}
              </mat-card-content>
              <mat-card-footer>
              </mat-card-footer>
              </mat-card>
      </mat-list-item>
      <mat-list-item>
        <mat-card class="shoot-editor-card">
          <mat-card-title>
          </mat-card-title>
          <mat-card-content>
            <mat-form-field appearance="fill">
              <mat-label>Distance</mat-label>
              <input matInput type="number" placeholder="0" min=0 value=0 [(ngModel)]="new_shoot_exercice.distance">
              <span matSuffix>&nbsp; m</span>
            </mat-form-field>
            <mat-form-field appearance="fill">
              <mat-label>Commentaires</mat-label>
              <textarea matInput></textarea>
            </mat-form-field>
            <app-image-list-add-and-edit>
            </app-image-list-add-and-edit>
          </mat-card-content>
          <mat-card-actions>
            <button mat-button (click)="onAddExerciceClick()">Ajouter</button>
          </mat-card-actions>
        </mat-card>
      </mat-list-item>
    </mat-list> -->

  <div>
    Commentaires
  </div>
</div>
